summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2021-07-12 16:06:23 +0000
committerMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2021-07-12 16:06:23 +0000
commit263e03a8a4032d0b6a47257c9532d92dfe4f6437 (patch)
tree67e2f1b16e4d3c869cac8805bea52fca723e1950
parent15367ef8d6e24e0c7c18036584c19cca3c7574ad (diff)
downloadjenkins-scripts-263e03a8a4032d0b6a47257c9532d92dfe4f6437.tar.gz
tcwg_gnu-build.sh: Ignore progressions in bisections
Change-Id: I49d622a298e15e8648f995f11fff0c3b79c23556
-rwxr-xr-xtcwg_gnu-build.sh10
1 files changed, 9 insertions, 1 deletions
diff --git a/tcwg_gnu-build.sh b/tcwg_gnu-build.sh
index 4acc6a17..13730e69 100755
--- a/tcwg_gnu-build.sh
+++ b/tcwg_gnu-build.sh
@@ -172,11 +172,19 @@ no_regression_p ()
fi
done
+ gcc-compare-results/contrib/testsuite-management/validate_failures.py \
+ --manifest=$xfail.xfail --clean_build=$sumfiles_base \
+ --build_dir=$sumfiles_new --verbosity=1 \
+ > $run_step_artifacts/fails.sum &
+ res1=0 && wait $! || res1=$?
+ assert_with_msg "Result comparison should have failed" \
+ [ $res1 = $res2 ]
+
printf "extra_build_params=" > $run_step_artifacts/extra-bisect-params
local exp
while read exp; do
printf "++testsuites %s " $exp >> $run_step_artifacts/extra-bisect-params
- done < <(cat $run_step_artifacts/results.compare2 \
+ done < <(cat $run_step_artifacts/fails.sum \
| awk '/^Running .* \.\.\./ { print $2 }')
printf "\n" >> $run_step_artifacts/extra-bisect-params
;;